@mixin absolute_center($horizal: false, $vertical: false) {
  position: absolute;
  @if $horizal and $vertical {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  } @else {
    @if $horizal {
      left: 50%;
      transform: translateX(-50%);
    }

    @if $vertical {
      top: 50%;
      transform: translateY(-50%);
    }
  }
}

@mixin absolute_full {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
}

@mixin display_flex($justify: normal, $align: baseline) {
  display: flex;
  justify-content: $justify;
  align-items: $align;
}
